
DRIVERS_NAME	:= drivers
DRIVERS_SRC		:= $(PATH_SRC)/$(DRIVERS_NAME)
DRIVERS_BIN		:= $(PATH_BIN)/$(DRIVERS_NAME)
DRIVERS_DEP		:= $(DRIVERS_SRC)/drv-unapi.asm $(DRIVERS_SRC)/drv-tcpip.asm $(DRIVERS_SRC)/drv-midi.asm
BUILD_HELP      += \\n\\t* $(DRIVERS_BIN)/mmi-fac.dat\\n\\t* $(DRIVERS_BIN)/mmi-1205.dat\\n\\t* $(DRIVERS_BIN)/mmi-mint.dat\\n\\t* $(DRIVERS_BIN)/mmi-mext.dat

$(DRIVERS_BIN):
	$(call mb_mkdir,$(DRIVERS_BIN))


$(DRIVERS_BIN)/mmi-fac.rel: $(DRIVERS_SRC)/mmi-fac.asm $(DRIVERS_DEP) | $(DRIVERS_BIN)
	$(call mb_compile_asm,$@,$<)

$(DRIVERS_BIN)/mmi-fac.hex: $(DRIVERS_BIN)/mmi-fac.rel
	$(call mb_link_asm_4000,$(DRIVERS_BIN)/mmi-fac.hex,$(DRIVERS_BIN)/mmi-fac.rel)

$(DRIVERS_BIN)/mmi-fac.dat: $(DRIVERS_BIN)/mmi-fac.hex
	$(call mb_hex2dat,$(DRIVERS_BIN)/mmi-fac.hex,$(DRIVERS_BIN)/mmi-fac.dat)


$(DRIVERS_BIN)/mmi-1205.rel: $(DRIVERS_SRC)/mmi-1205.asm $(DRIVERS_DEP) | $(DRIVERS_BIN)
	$(call mb_compile_asm,$@,$<)

$(DRIVERS_BIN)/mmi-1205.hex: $(DRIVERS_BIN)/mmi-1205.rel
	$(call mb_link_asm_4000,$(DRIVERS_BIN)/mmi-1205.hex,$(DRIVERS_BIN)/mmi-1205.rel)

$(DRIVERS_BIN)/mmi-1205.dat: $(DRIVERS_BIN)/mmi-1205.hex
	$(call mb_hex2dat,$(DRIVERS_BIN)/mmi-1205.hex,$(DRIVERS_BIN)/mmi-1205.dat)


$(DRIVERS_BIN)/mmi-mint.rel: $(DRIVERS_SRC)/mmi-mint.asm $(DRIVERS_DEP) | $(DRIVERS_BIN)
	$(call mb_compile_asm,$@,$<)

$(DRIVERS_BIN)/mmi-mint.hex: $(DRIVERS_BIN)/mmi-mint.rel
	$(call mb_link_asm_4000,$(DRIVERS_BIN)/mmi-mint.hex,$(DRIVERS_BIN)/mmi-mint.rel)

$(DRIVERS_BIN)/mmi-mint.dat: $(DRIVERS_BIN)/mmi-mint.hex
	$(call mb_hex2dat,$(DRIVERS_BIN)/mmi-mint.hex,$(DRIVERS_BIN)/mmi-mint.dat)


$(DRIVERS_BIN)/mmi-mext.rel: $(DRIVERS_SRC)/mmi-mext.asm $(DRIVERS_DEP) | $(DRIVERS_BIN)
	$(call mb_compile_asm,$@,$<)

$(DRIVERS_BIN)/mmi-mext.hex: $(DRIVERS_BIN)/mmi-mext.rel
	$(call mb_link_asm_4000,$(DRIVERS_BIN)/mmi-mext.hex,$(DRIVERS_BIN)/mmi-mext.rel)

$(DRIVERS_BIN)/mmi-mext.dat: $(DRIVERS_BIN)/mmi-mext.hex
	$(call mb_hex2dat,$(DRIVERS_BIN)/mmi-mext.hex,$(DRIVERS_BIN)/mmi-mext.dat)

# EOF
