
;--- 3. Error codes
ERR_OK				.equ	0		; Operation completed successfully
ERR_NOT_IMP			.equ	1		; Capability not implemented
ERR_NO_NETWORK		.equ	2		; No network connection available
ERR_NO_DATA			.equ	3		; No incoming data available
ERR_INV_PARAM		.equ	4		; Invalid input parameter
ERR_QUERY_EXISTS	.equ	5		; Another query is already in progress
ERR_INV_IP			.equ	6		; Invalid IP address
ERR_NO_DNS			.equ	7		; No DNS servers are configured
ERR_DNS				.equ	8		; Error returned by DNS server
ERR_NO_FREE_CONN	.equ	9		; No free connections available
ERR_CONN_EXISTS		.equ	10		; Connection already exists
ERR_NO_CONN			.equ	11		; Connection does not exists
ERR_CONN_STATE		.equ	12		; Invalid connection state
ERR_BUFFER			.equ	13		; Insufficient output buffer space
ERR_LARGE_DGRAM		.equ	14		; Datagram is too large
ERR_INV_OPER		.equ	15		; Invalid operation

.macro	RET_NO_IMPL
	LD		A,#ERR_NOT_IMP
	RET
.endm



.macro	MIDI_TX_START function_number
	LD		A,#0xF0	; SystemExclusive
	MIDI_TX
	LD		A,#0xF1	; SOX Send data
	MIDI_TX
	LD		A,#function_number
	MIDI_TX
.endm
.macro	MIDI_TX_HL
	LD		A,H
	MIDI_TX
	LD		A,L
	MIDI_TX
.endm
.macro	MIDI_TX_B
	LD		A,B
	MIDI_TX
.endm
.macro	MIDI_TX_END
	LD		A,#0xF7	; End of SysEx
	MIDI_TX
.endm
.macro	MIDI_RX_START
	MIDI_RX; F0 = SysEx
	MIDI_RX; F1 = SOX 
.endm
.macro	MIDI_RX_A_PUSH
	MIDI_RX
	PUSH	AF
.endm
.macro	MIDI_RX_B
	MIDI_RX
	LD			B,A
.endm
.macro	MIDI_RX_BC
	MIDI_RX_B
	MIDI_RX
	LD			C,A
.endm
.macro	MIDI_RX_DE
	MIDI_RX
	LD			D,A
	MIDI_RX
	LD			E,A
.endm
.macro	MIDI_RX_HL
	MIDI_RX
	LD			H,A
	MIDI_RX
	LD			L,A
.endm
.macro	MIDI_RX_END
	MIDI_RX
.endm
.macro	MIDI_RX_END_ERR_RET
	MIDI_RX_END
	POP		AF
	RET
.endm

