	.module	nms-1205.asm
	.title	driver for the NMS-1205 Music Module
;-----------------------------------------------------------------------------

; Motorola MC68B50
; #00-#01	Music Module MIDI, output ports (mirrored on ports #08-#09, #10-#11, #18-#19)
; #04-#05	Music Module MIDI, input ports (mirrored on ports #0C-#0D, #14-#15, #1C-#1D)

;IF INP(&H02)=255 AND INP(&HC0)=255 THEN CLS: PRINT"Geen FAC MIDI interface of Philips Music Module gevonden!!!":NEW

.macro	MIDI_CMD_WAIT ?wait_loop
	LD		B,#4
wait_loop:
	djnz	#wait_loop
.endm

.macro	MIDI_INIT ?wait_loop_1 ?wait_loop_2
	LD		A,#3		; Reset first
	OUT		(#0),A
	MIDI_CMD_WAIT

	LD		A,#21 ; enable x but no int
	OUT		(#0),A
	MIDI_CMD_WAIT
.endm

.macro	MIDI_TX ?wait_loop
	PUSH	AF
wait_loop:
	IN		A,(#4)
	AND		#2
	JR		Z,wait_loop
	POP		AF
	OUT		(#1),A
.endm

.macro	MIDI_RX ?wait_loop
wait_loop:
	IN		A,(#4)
	AND		#1
	JR		Z,wait_loop
	IN		A,(#5)
.endm

.area	_CODE
.include "drv-midi.asm"
.include "drv-unapi.asm"
.include "drv-tcpip.asm"
.area	_DATA
