	.module	mm-fac.asm
	.title	driver for the FAC midi interface
;-----------------------------------------------------------------------------

;
; #02-#03 	FAC MIDI interface (i8251, mirrored on ports #00-#07)
;
;
UART_DATA	.equ	0x02	;8251 data
UART_CMD	.equ	0x03	;8251 command

.macro	MIDI_CMD_WAIT ?wait_loop
	LD		B,#4
wait_loop:
	djnz	#wait_loop
.endm

.macro	MIDI_INIT ?wait_loop_1 ?wait_loop_2
	; Do chip reset
	XOR		A
	;OUT		(#UART_CMD),A
	;MIDI_CMD_WAIT
	;OUT		(#UART_CMD),A
	;MIDI_CMD_WAIT
	;OUT		(#UART_CMD),A
	;MIDI_CMD_WAIT
	;LD		A,#0x40
	;OUT		(#UART_CMD),A
	;MIDI_CMD_WAIT

	; Init 8251 mode + command
	LD		A,#0b01001110
	OUT		(#UART_CMD),A
	MIDI_CMD_WAIT
	LD		A,#0b00100101
	OUT		(#UART_CMD),A
.endm

.macro	MIDI_TX_A register ?wait_loop
wait_loop:
	IN		A,(#UART_CMD)
	AND		#1
	JR		Z,wait_loop
	LD		A,#register
	OUT		(#UART_DATA),A
.endm

.macro	MIDI_TX ?wait_loop
	PUSH	AF
wait_loop:
	IN		A,(#UART_CMD)
	AND		#1
	JR		Z,wait_loop
	POP		AF
	OUT		(#UART_DATA),A
.endm

.macro	MIDI_RX ?wait_loop
wait_loop:
	IN		A,(#UART_CMD)
	AND		#2
	JR		Z,wait_loop
	IN		A,(#UART_DATA)
.endm

.area	_CODE

.include "drv-midi.asm"
.include "drv-unapi.asm"
.include "drv-tcpip.asm"
.area	_DATA
