
MMIDRV_NAME		:= mmidrv
MMIDRV_TEST		:= test-$(MMIDRV_NAME)
MMIDRV_SRC		:= $(PATH_SRC)/$(MMIDRV_NAME)
MMIDRV_BIN		:= $(PATH_BIN)/$(MMIDRV_NAME)
MMIDRV_HEX		:= $(MMIDRV_BIN)/$(MMIDRV_NAME).hex
MMIDRV_COM		:= $(MMIDRV_BIN)/$(MMIDRV_NAME).com
MMIDRV_COM2		:= $(MMIDRV_BIN)/$(MMIDRV_NAME)2.com
MMIDRV_RELS		:= $(MMIDRV_BIN)/$(MMIDRV_NAME).rel
MMIDRV_CODE		:= $(MMIDRV_SRC)/$(MMIDRV_NAME).asm
BUILD_HELP      += \\n\\t* $(MMIDRV_COM) \\n\\t* $(MMIDRV_TEST)

$(MMIDRV_BIN):
	$(call mb_mkdir,$(MMIDRV_BIN))

$(MMIDRV_BIN)/%.rel: $(MMIDRV_SRC)/%.asm | $(MMIDRV_BIN)
	$(call mb_compile_asm,$@,$<)

$(MMIDRV_HEX): $(MMIDRV_RELS)
	$(call mb_link_asm_dos,$(MMIDRV_HEX),$(MMIDRV_RELS))

$(MMIDRV_COM): $(MMIDRV_HEX)
	$(call mb_hex2com,$(MMIDRV_HEX),$(MMIDRV_COM))

$(MMIDRV_COM2): $(MMIDRV_COM) $(PATH_BIN)/drivers/mmi-fac.dat $(PATH_BIN)/drivers/mmi-1205.dat
	cp $< $@;
	dd if=/dev/null of=$@ seek=1792 bs=1 count=0 
	dd if=$(PATH_BIN)/drivers/mmi-fac.dat of=$@ seek=1792 bs=1
	
$(MMIDRV_TEST): $(MMIDRV_COM2)
	$(call mb_autoexec_open_gui_cmd,$(MMIDRV_BIN))
	
	$(call mb_autoexec_append_cmd,$(MMIDRV_BIN),omsxctl set midi-out-logfilename /tmp/mm.out > NUL)
	$(call mb_autoexec_append_cmd,$(MMIDRV_BIN),omsxctl plug FAC\ MIDI\ Interface\ MIDI-out midi-out-logger > NUL)
	
	#$(call mb_autoexec_append_echo,$(MMIDRV_BIN),Plugging midi-out to mmigate.)
	#$(call mb_autoexec_append_cmd,$(MMIDRV_BIN),omsxctl plug FAC\ MIDI\ Interface\ MIDI-out mmigate-in > NUL)
	#$(call mb_autoexec_append_cmd,$(MMIDRV_BIN),omsxctl plug Philips\ Music\ Module\ MIDI-out mmigate-in > NUL)
	#$(call mb_autoexec_append_echo,$(MMIDRV_BIN),Plugging midi-in to mmigate.)
	#$(call mb_autoexec_append_cmd,$(MMIDRV_BIN),omsxctl plug FAC\ MIDI\ Interface\ MIDI-in mmigate-out > NUL)
	#$(call mb_autoexec_append_cmd,$(MMIDRV_BIN),omsxctl plug Philips\ Music\ Module\ MIDI-in mmigate-out > NUL)
	$(call mb_autoexec_append_echo,$(MMIDRV_BIN),Install ram helper.)
	$(call mb_autoexec_append_cmd,$(MMIDRV_BIN),ramhelpr i autocont)
	echo -n "" > $(MMIDRV_BIN)/autocont.bat
	echo "echo Starting mmidrv.\r" >> $(MMIDRV_BIN)/autocont.bat
	echo "echo SKIPPED.\r" >> $(MMIDRV_BIN)/autocont.bat
	
	#echo "$(MMIDRV_NAME)\r" >> $(MMIDRV_BIN)/autocont.bat
	#echo "echo Install InterNestor Lite.\r" >> $(MMIDRV_BIN)/autocont.bat
	#echo "inl i\r" >> $(MMIDRV_BIN)/autocont.bat
	
	$(call mb_copy,tmp/ramhelpr.com,$(MMIDRV_BIN))
	$(call mb_copy,tmp/inl.com,$(MMIDRV_BIN))
	$(call mb_copy,tmp/ping.com,$(MMIDRV_BIN))
	$(call mb_copy,tmp/hget.com,$(MMIDRV_BIN))
	$(call mb_openmsx_dos2,$(MMIDRV_BIN))

